Package org.eclipse.net4j.util.confirmation

## Interface IConfirmationProvider

- All Known Implementing Classes:
    `InteractiveConfirmationProvider`

      public interface IConfirmationProvider

  A provider of user confirmation of some action.
  Since:
    3.4
  Author:
    Christian W. Damus (CEA LIST)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IConfirmationProvider.Factory` |
    `static interface` | `IConfirmationProvider.Provider` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Confirmation` | `confirm​(java.lang.String subject, java.lang.String message, java.util.Set<Confirmation> acceptable, Confirmation suggestion)` | Requests confirmation of some action/operation/consequence pertaining to a `subject` and described by a `message`.
    `boolean` | `isInteractive()` |

- - ### Method Detail

    - #### confirm

          Confirmation confirm​(java.lang.String subject,
                               java.lang.String message,
                               java.util.Set<Confirmation> acceptable,
                               Confirmation suggestion)

      Requests confirmation of some action/operation/consequence pertaining to a `subject` and described by a `message`. Any of the non-empty set of `acceptable` responses may be returned, and the requester may optionally provide a `suggestion` of a suitable/safe default answer.

    - #### isInteractive

          boolean isInteractive()